Skip to main content
`Ctrl`+`K`

# PCKACZMARZ

Kaczmarz iteration [Kac37]

## Options Database Keys

- -pc_kaczmarz_lambda lambda - Sets damping parameter defaults to 1.0

- -pc_kaczmarz_symmetric - Apply the row projections symmetrically

## Note

In parallel this is block-Jacobi with Kaczmarz inner solve on each processor.

## References

[Kac37]

Stefan Kaczmarz. Angenaherte auflosung von systemen linearer gleichungen. Bull. Int. Acad. Pol. Sic. Let., Cl. Sci. Math. Nat., pages 355–357, 1937.

## See Also

KSP: Linear System Solvers, `PCCreate()`, `PCSetType()`, `PCType`, `PC`, `PCJACOBI`, `PCBJACOBI`

## Level

beginner

## Location

src/ksp/pc/impls/kaczmarz/kaczmarz.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages